package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaSensorItemKeyDAO;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by snoop on 17. 8. 29.
 */
@Service
public class MetaSensorItemKeyService {

    @Autowired
    private MetaSensorItemKeyDAO metaSensorItemKeyDAO;



    public Map<Integer, String> readAllByCrawler(MetaCrawler metaCrawler) {

        Map<Integer, String> resultMap = new HashMap<>();

        List<MetaSensorItemKey> resultList = this.metaSensorItemKeyDAO.findAllByCrawler(metaCrawler);

        for(MetaSensorItemKey oa : resultList) {
            resultMap.put(oa.getItem().getId(), oa.getKey());
        }

        return resultMap;
    }
}
